Page MenuHomePhabricator

Installation breaks properties
Closed, ResolvedPublic

Description

MediaWiki 1.28.0
PHP 5.6.28 (fpm-fcgi)
MySQL 5.6.34
ICU 52.1
Lua 5.1.5
Page Forms 4.1 (22cc121) 15:25, 9 March 2017
Semantic MediaWiki 2.5.0

When I install LinkedWiki (v3.0.0), all of the links in Special:Properties turn red and no new properties show up in Special:Properties upon creation with Special:CreateProperty. As soon as I remove wfLoadExtension( 'LinkedWiki' ); from LocalSettings, the properties work again...

Event Timeline

Gstupp created this task.Mar 16 2017, 5:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2017, 5:22 PM
Karima added a subscriber: Karima.Mar 17 2017, 8:56 AM

There is a collision between the namespace "Property" of LinkedWiki and Semantic MediaWiki.

In LinkedWIki, you can disable this namespace by removing from extension.json this part:

{
    "id": 10020,
    "constant": "NS_PROPERTY",
    "name": "Property",
    "protection": "data-edit"
  },

This namespace is optional in LinkedWiki.

Bye

Kghbln added a subscriber: Kghbln.Mar 19 2017, 10:28 AM

@Karima Thanks for clarifying the issue. Under regular circumstances sysops should not manipulate "exentsion.json" but do their configuration in "LocalSettings.php". Do you plan to add an configuration parameter that allows to disable defining the "Property" namespace via "LocalSettings.php". Since quite some people appear to use both extensions at same time ...

Karima closed this task as Resolved.Mar 21 2017, 2:54 PM
Karima claimed this task.

@Kghbln For the moment, this namespace is for an experimental part of the extension.
Probably I will remove it in the next version and I will use only the namespace schema.

@Karima Thanks for the info!